declare -x WORKING_DIR="`cat /RouletteFiles/working_dir`"
declare -x ABSOLUTE_IMAGE_DIRECTORY="/RouletteFiles/"
declare -x MASTER_IP="192.168.0.254" 
declare -x ROULETTE_IP="192.168.0.0" 
declare -x DB_PATH="/ROULETTE_DATA.GDB" 
declare -x DB_SRV=`ifconfig eth0 | grep "inet addr:" | cut -c 21-23 | sed 's/ //g'`
[ $DB_SRV == "10." ] && DB_SRV="10.5.10.254"
[ $DB_SRV == "192" ] && DB_SRV="192.168.0.254"
declare -x DB_UNAME="SYSDBA" 
declare -x DB_PASS="masteraloha" 
declare -x SCREEN_H=768
declare -x SCREEN_W=1024
declare -x SCREEN_ROTATE=1
declare -x CLIENT_IP=`ifconfig eth0 | grep "inet addr:" | cut -c 21-31 | sed 's/ //g'`
declare -x FIRMWARE_FINGERPRINT=`md5sum -b $WORKING_DIR"/ps2"|md5sum|cut -c -32`
declare -x FIRMWARE_FINGERPRINT_MASTER=`md5sum -b "/master_rfs/RouletteMaster/roulettemaster"|md5sum|cut -c -32`
export 1>/dev/null 2>/dev/null
declare -x OLD_GAMES_DIR="/RouletteFiles/Home/$CLIENT_IP"

if [ -z $WORKING_DIR ]; then
    echo ""
    echo "Roulette has not been activated yet."
    echo "Please complete the steps in 'POPE->Activate New Roulette' wizard."
    exit 0;
fi

log_index=`cat $OLD_GAMES_DIR/log_index`
RESULT=$?
if [ $RESULT -gt 0 ]; then
    log_index=0
fi;
let ++log_index
if [ $log_index -ge 20 ]; then
    log_index=0
fi;
echo $log_index > $OLD_GAMES_DIR/log_index

declare -x LOG_FILENAME="/RouletteFiles/Home/$CLIENT_IP/logfile_"$log_index".txt"
export 1>/dev/null 2>/dev/null

rm $LOG_FILENAME -rf

mkdir -p $OLD_GAMES_DIR

cd $WORKING_DIR
until `test ! -f $WORKING_DIR/ps2`
do
    $WORKING_DIR/ps2 
    #2>&1 | tee $LOG_FILENAME".out"
    echo "Restarting roulette client program...."; 
    sleep 2;
done

echo ERROR: File $WORKING_DIR/ps2 does not exist!
