#!/bin/bash

LOG_FILE=/NetCheckResult.log
TEST_IP=`cat /etc/sysconfig/network-scripts/ifcfg-eth0 |grep IPADDR|cut -c 8-`

RestartNetworkIfError()
{
        PING_RES=-60 #-60 zato, da logira prvi uspeh in da ne resetira networka takoj ob zacetku, 60 sekund zakasnitve v primeru nedosegljivosti takoj ob zagonu
	echo "########################################################################"
	echo `date`": IP check started, checking IP="$TEST_IP
	echo "########################################################################"
	echo >> $LOG_FILE
	echo `date`": IP check started, checking IP="$TEST_IP >> $LOG_FILE
        while [ 1 ]
        do 
                #echo "Testing "$TEST_IP" for failure..."
                ping -c 1 -W 1 $TEST_IP &>/dev/null
                
		if [ 0 -eq $? ]
		then
		    #ping uspel
		    if [ $PING_RES -ne 0 ]
		    then
			#logiramo ce je prej bil neuspeh
			echo `date`": "$TEST_IP" ping check OK." >> $LOG_FILE
			echo `date`": "$TEST_IP" ping check OK."
		    fi
		    PING_RES=0;
		    sleep 1
		    #echo `date`": "$TEST_IP" ping check OK."
		else
		    #neuspesen ping, stejemo neuspehe
		    if [ $PING_RES -eq 0 ]
		    then
			#ce je prvi neuspeh, logiramo
			echo `date`": "$TEST_IP" ping check failure." >> $LOG_FILE
			echo `date`": "$TEST_IP" ping check failure."
		    fi
		    let "PING_RES += 1";
		    #echo `date`": "$TEST_IP" ping check failure."
		fi
		
		if [ 3 -eq $PING_RES ]
		then
		    #ponovni zagnon mreze, ker so trije neuspeli poskusi, nekaj je narobe
		    echo `date`": Restarting newtork, "$TEST_IP" is unreacheable." 
		    echo `date`": Restarting newtork, "$TEST_IP" is unreacheable." >> $LOG_FILE
		    service network restart
		    echo `date`": Checking again..., please wait...." 	    
		    PING_RES=-30 #cakamo na potrditev pinga vsaj 30sec predno ponovno resetiramo
		fi
        done
}


RestartNetworkIfError

