#!/bin/bash

#This file is run only the first time, the roulette is powered on.
#it reconfigures the ETH0 and ETH1 hardware addresses...


ETH0Config=/etc/sysconfig/network-scripts/ifcfg-eth0
NEWETH0MAC=`ifconfig eth0 | grep "HWaddr" | cut -c 39-55`
ETH0_OBSOLETEConfig=/etc/sysconfig/network-scripts/ifcfg-eth0-obsolete
ETH1Config=/etc/sysconfig/network-scripts/ifcfg-eth1
NEWETH1MAC=`ifconfig eth1 | grep "HWaddr" | cut -c 39-55`
TMPFile=`mktemp`
RFIRSTBOOTFile="/etc/r_firstboot"


if [ -f $RFIRSTBOOTFile ]; then 
    exit 0;
fi;

if [ -f $ETH0Config  ]; then
    if [ "`cat $ETH0Config|grep 'DEVICE'`" ]; then
	cat $ETH0Config | grep 'DEVICE' > $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'BOOTPROTO'`" ]; then
	cat $ETH0Config | grep 'BOOTPROTO' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'HWADDR'`" ]; then
	echo "HWADDR=$NEWETH0MAC" >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'ONBOOT'`" ]; then
	cat $ETH0Config | grep 'ONBOOT' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'IPADDR'`" ]; then
	cat $ETH0Config | grep 'IPADDR' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'NETMASK'`" ]; then
	cat $ETH0Config | grep 'NETMASK' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'BROADCAST'`" ]; then
	cat $ETH0Config | grep 'BROADCAST' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'NETWORK'`" ]; then
	cat $ETH0Config | grep 'NETWORK' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'SRCADDR'`" ]; then
	cat $ETH0Config | grep 'SRCADDR' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'USERCTL'`" ]; then
	cat $ETH0Config | grep 'USERCTL' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'IPV6INIT'`" ]; then
	cat $ETH0Config | grep 'IPV6INIT' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'PEERDNS'`" ]; then
	cat $ETH0Config | grep 'PEERDNS' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'TYPE'`" ]; then
	cat $ETH0Config | grep 'TYPE' >> $TMPFile
    fi
    if [ "`cat $ETH0Config|grep 'GATEWAY'`" ]; then
	cat $ETH0Config | grep 'GATEWAY' >> $TMPFile
    fi
    cp -rf $TMPFile $ETH0Config --reply=yes 2>/dev/null
fi;

if [ -f $ETH0_OBSOLETEConfig  ]; then
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'DEVICE'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'DEVICE' > $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'BOOTPROTO'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'BOOTPROTO' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'HWADDR'`" ]; then
	echo "HWADDR=$NEWETH0MAC" >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'ONBOOT'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'ONBOOT' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'IPADDR'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'IPADDR' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'NETMASK'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'NETMASK' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'BROADCAST'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'BROADCAST' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'NETWORK'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'NETWORK' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'SRCADDR'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'SRCADDR' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'USERCTL'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'USERCTL' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'IPV6INIT'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'IPV6INIT' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'PEERDNS'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'PEERDNS' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'TYPE'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'TYPE' >> $TMPFile
    fi
    if [ "`cat $ETH0_OBSOLETEConfig|grep 'GATEWAY'`" ]; then
	cat $ETH0_OBSOLETEConfig | grep 'GATEWAY' >> $TMPFile
    fi
    cp -rf $TMPFile $ETH0_OBSOLETEConfig --reply=yes 2>/dev/null
fi;

if [ -f $ETH1Config  ]; then
    if [ "`cat $ETH1Config|grep 'DEVICE'`" ]; then
	cat $ETH1Config | grep 'DEVICE' > $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'BOOTPROTO'`" ]; then
	cat $ETH1Config | grep 'BOOTPROTO' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'HWADDR'`" ]; then
	echo "HWADDR=$NEWETH1MAC" >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'ONBOOT'`" ]; then
	cat $ETH1Config | grep 'ONBOOT' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'IPADDR'`" ]; then
	cat $ETH1Config | grep 'IPADDR' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'NETMASK'`" ]; then
	cat $ETH1Config | grep 'NETMASK' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'BROADCAST'`" ]; then
	cat $ETH1Config | grep 'BROADCAST' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'NETWORK'`" ]; then
	cat $ETH1Config | grep 'NETWORK' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'SRCADDR'`" ]; then
	cat $ETH1Config | grep 'SRCADDR' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'USERCTL'`" ]; then
	cat $ETH1Config | grep 'USERCTL' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'IPV6INIT'`" ]; then
	cat $ETH1Config | grep 'IPV6INIT' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'PEERDNS'`" ]; then
	cat $ETH1Config | grep 'PEERDNS' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'TYPE'`" ]; then
	cat $ETH1Config | grep 'TYPE' >> $TMPFile
    fi
    if [ "`cat $ETH1Config|grep 'GATEWAY'`" ]; then
	cat $ETH1Config | grep 'GATEWAY' >> $TMPFile
    fi
    cp -rf $TMPFile $ETH1Config --reply=yes 2>/dev/null
fi;

rm $TMPFile

echo "roulettefirstboot has been already run" > $RFIRSTBOOTFile
echo "delete this file, to run roulettefirstboot again" >> $RFIRSTBOOTFile

exit 0